#!/usr/bin/perl -0p
s#^( *filter) = .*#$1 = [ "r|/dev/mapper/xenvg-.*|" ]#m or die;
s/^( *locking_type) = 1.*$/$1 = 2/m or die;
s/^( *fallback_to_clustered_locking) = .*$/$1 = 0/m or die;
s/^( *fallback_to_local_locking) = .*$/$1 = 0/m or die;
s/^( *)# *(locking_library.*)$/$1$2/m or die;
s/^( *)# *(library_dir.*)$/$1$2/m or die;
